<html>
	<head> 
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
		<script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.min.js" integrity="sha384-QJHtvGhmr9XOIpI6YVutG+2QOK9T+ZnN4kzFN1RtK3zEFEIsxhlmWl5/YESvpZ13" crossorigin="anonymous"></script>

	</head>

<body>
	<div class="container-fluid my-5">
	  	<form th:action="@{/crearEmpleado}" th:object="${empleado}" method="POST">
			<span th:if="${empleado.id !=0}"><input type="text" th:field="${empleado.id}" readonly></span>
			<input type="text" placeholder="Nombre" th:field="${empleado.nombre}"/>
			<input type="text" placeholder="Rut" th:field="${empleado.rut}"/>
			<input type="text" placeholder="Perfiles" th:field="${empleado.perfiles}"/>
			<input type="Submit" th:value="${empleado.id != 0 }?'Guardar Cambios':' Crear Empleado'"/>
		</form>
		<table class="table table-striped table-bordered">
			<thead class="table-dark">
				<tr>
					<th>ID</th>
					<th>Nombre</th>
					<th>Rut</th>
					<th>Perfiles</th>
					<th>Editar</th>
					
				</tr>
			</thead>
			<tbody>
				<tr th:each="empleado : ${empleados}">
					<td th:text="${empleado.id}"></td>
					<td th:text="${empleado.nombre}"></td>
					<td th:text="${empleado.rut}"></td>
					<td th:text="${empleado.perfiles}"></td>
					<td><a th:href="@{'/editarEmpleado/'+ ${empleado.id}}"> Editar </a> | <a th:href="@{'/eliminarEmpleado/' + ${empleado.id}}">Eliminar</a></td>
					
				</tr>
			
			</tbody>
		
		
		</table>
	</div>

	
</body>
</html>